Auth

Use a code from email for confirmation

Use this method to send a verification code required to confirm certain procedures to a client email address (for example, you can do it for password change procedures).

POST
/api/v2/my/2fa/email

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/2fa/email" \  -H "Content-Type: application/json" \  -d '{    "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",    "code": "123456"  }'
{  "code": 200,  "data": {    "accessToken": {      "token": "null",      "createdAt": "2022-01-01T00:00:00+00:00",      "expiresAt": "2022-01-01T00:00:00+00:00"    },    "refreshToken": {      "token": "null",      "createdAt": "2022-01-01T00:00:00+00:00",      "expiresAt": "2022-01-01T00:00:00+00:00"    }  },  "done": false,  "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",  "workflow": "password"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter",        "name": "email_domain_not_found"      }    ]  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Access from this country is restricted",    "details": {      "ip": "203.0.113.42",      "country": "RU"    }  }}
{  "error": {    "message": "Service Unavailable"  }}